!> \file lect-Ant_clim_CISM_gen_dat.f90
!!Module pour la lecture du climat
!<

!> \namespace lect_clim_act_ant_gen
!! Module pour la lecture du climat
!! \author ...
!! \date ...
!! @note Used module
!! @note   - use module3D_phy
!! @note   - use ablation_ann
!<
module lect_clim_act_ant_gen

  use module3D_phy
  use ablation_ann                     ! le module pdd base sur Tann et Tjuly
  use interface_input
  character(len=100) :: precip_file      ! precipitations

contains

  subroutine input_climat_ref()

    namelist/climat_CISM_gen/precip_file

428 format(A)
    rewind(num_param)                     ! pour revenir au debut du fichier param_list.dat
    read(num_param,climat_CISM_gen)

    write(num_rep_42,428)'!___________________________________________________________' 
    write(num_rep_42,428)'!  module  lect_topo_ant_CISM      '
    write(num_rep_42,climat_CISM_gen)
    write(num_rep_42,428)'!___________________________________________________________' 


    precip_file  = trim(dirnameinp)//trim(precip_file)

    call lect_input(3,'precip',1,precip,precip_file,trim(dirnameinp)//trim(runname)//'.nc')
    !call lect_datfile(nx,ny,precip,1,precip_file)                  ! precipitation

    precip(:,:)=precip(:,:)/0.91
    acc(:,:)=precip(:,:)


    !    temperature en surface :
    !    parametrisation de Fortuin pour la temperature annuelle.
    do j=1,ny
       do i=1,nx

7         if (s0(i,j).le.200.) then   ! shelfs
             tann(i,j)=49.642-0.943*abs(ylat(i,j))
          else if ((s0(i,j).gt.200.).and.(s0(i,j).lt.1500.)) then ! pente
             tann(i,j)=36.689-0.005102*s0(i,j)-0.725*abs(ylat(i,j))
          else if (s0(i,j).ge.1500.) then        ! plateau
             tann(i,j)=7.405-0.014285*s0(i,j)-0.180*abs(ylat(i,j))
          endif

          ta0(i,j)=tann(i,j)

          !           pour la temperature d'ete, idem parametrisation huybrechts
          tjuly(i,j)=tann(i,j)-17.65+0.00222*s0(i,j)&
               +0.40802*abs(ylat(i,j))
       end do
    end do

  end subroutine input_climat_ref

end module  lect_clim_act_ant_gen
